Skip to main content
GET
/
directories
/
{id}
/
groups
List directory groups
curl --request GET \
  --url https://app.usechar.ai/api/directories/{id}/groups \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "directory_id": "<string>",
    "workos_directory_group_id": "<string>",
    "name": "<string>",
    "idp_id": "<string>",
    "raw_attributes": "<string>",
    "mapped_role": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.usechar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS JWT token. Obtain via WorkOS AuthKit authentication flow. The token must include organization_id claim for organization-scoped endpoints.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource

Response

OK

id
string
required

Internal ID for the directory group record.

directory_id
string
required

Internal directory connection ID that the group belongs to.

workos_directory_group_id
string
required

WorkOS directory group ID for this group.

name
string
required

Group name from the IdP.

idp_id
string | null
required

External identity provider group ID, if available.

raw_attributes
string | null
required

JSON string of raw IdP attributes for this group, if provided.

mapped_role
string | null
required

Application role inferred from this group (admin, member, or null).

created_at
string<date-time>
required

Timestamp when the directory group record was created.

updated_at
string<date-time>
required

Timestamp when the directory group record was last updated.